GBTEXT2ODT(1)

NAME
gbtext2odt - Create OpenDocument from Project Gutenberg text

SYNOPSIS

gbtext2odt [-e encoding] [-a author] [-c creation date] [-l language] [-p publisher] [-t title] [-T] [inputfile]

DESCRIPTION

Project Gutenberg is the first and largest single collection of free electronic books, or eBooks. The project started in 1971, and the chosen format is "Plain Vanilla ASCII," and this makes the text frustrating to read. Therefore the gbtext2odt program will convert such a text to OpenDocument and add some light markup. The idea behind the program is to test the feasibility of using OpenDocument for archival of documents.

"Inputfile" is assumed to be an eBook from Project Gutenberg in text form. Books work pretty well, whereas plays, such as Romeo and Juliet, will probably be messed up.

OPTIONS

-e encoding
    Enter the encoding of the source eBook. Common encodings are: iso-8859-1, cp1252 (default), ascii and utf-8

-a author
    The name of the author. Entered into the metadata.

-c creation date
    The date of the creation. Entered into the metadata. This can be the date of conversion, or the date the author completed his document. The format must be in ISO 8601 format. I.e. YYYY-MM-DD or YYYY-MM-DDTHH:MM:SS.

-l language
    Language of the eBook. It consists of a two or three letter language code taken from the ISO 639 standard optionally followed by a hyphen and a two-letter country code.

-p publisher
    The name of the publisher. Entered into the metadata. Defaults to Gutenberg Project

-t title
    The title of the document. Entered into the metadata.

-T
    Use the title as the output filename, rather than based on the input filename.

EXAMPLE

Conversion of Herodotus’ Histories from around 430 BC. Known from the movie [The English Patient].

    wget http://www.gutenberg.org/dirs/etext01/1hofh10.txt
    gbtext2odt -e cp1252 -t "The history of Herodotus — Volume 1" -a Herodotus -l en -T 1hofh10.txt

SEE ALSO

http://www.gutenberg.org

ISSUES

OpenOffice doesn't handle creation dates before the year 1000.